'##############################################################################
'##############################################################################
'Begin CommonAdds.bas

'******************************************************************************
'Umlaute die in importierten Texten stehen, werden
'oft von FB nicht richtig dargestellt.
'Ebenfalls gibt es Probleme bei
'Umlautzuweisungen direkt im Code:
'zB. a="äöüÄÖÜß"
'Da hilft UImport()

'Umlaute die über Inkey oder Input
'in Strings gelangt sind werden in FB richtig
'dargestellt.
'Wenn diese Strings jedoch in eine Text-Datei geschrieben
'werden, sind diese Umlaute für andere Programme (zB.Editoren)
'nicht lesbar
'Da hilft UExport()

'In beiden Fällen bleibt der Original-String erhalten


function UImport(s as string) as string
  function=""
  dim as string tmps
  dim as integer i,tmpasc
  if len(s) then
    tmps=s
    for i=1 to len(s)
      tmpasc=asc(mid(tmps,i,1))
      if tmpasc=228 then tmpasc=132 'ae
      if tmpasc=246 then tmpasc=148 'oe
      if tmpasc=252 then tmpasc=129 'ue

      if tmpasc=196 then tmpasc=142 'AE
      if tmpasc=214 then tmpasc=153 'OE
      if tmpasc=220 then tmpasc=154 'UE

      if tmpasc=223 then tmpasc=225 '"Eszett" zu "Beta"???

      mid(tmps,i,1)=chr$(tmpasc)
    next i
    function=tmps
  end if
end function



function UExport(s as string) as string
  function=""
  dim as string tmps
  dim as integer i,tmpasc
  if len(s) then
    tmps=s
    for i=1 to len(tmps)
      tmpasc=asc(mid(tmps,i,1))
      if tmpasc=132 then tmpasc=228 'ae
      if tmpasc=148 then tmpasc=246 'oe
      if tmpasc=129 then tmpasc=252 'ue

      if tmpasc=142 then tmpasc=196 'AE
      if tmpasc=153 then tmpasc=214 'OE
      if tmpasc=154 then tmpasc=220 'UE

      if tmpasc=225 then tmpasc=223 '"Beta" zu "Eszett"???

      mid(tmps,i,1)=chr$(tmpasc)
    next i
    function=tmps
  end if
end function
'******************************************************************************


'End CommonAdds.bas
'##############################################################################
'##############################################################################
